;==================================  ====
;;PROGRAMME DE LANCEMENT AUTOMATIQUE  ACAD ***
;==================================  ====
;s(xload "acadapp.exe")
;(if (member "jcl.arx" (arx))(arxunload "jcl.arx"))
;(arxload "c:/autocad14/travail/jcl.arx")
;---------------------------------------------------------------------------------
(vl-load-com)
(setq DirLra (getenv "SITIG_32") DirPms (getenv "PMS3D"))
(if (NOT DirLra) (setq DirLra "c:\\Sitig_32\\"))
(if (NOT DirPms) (setq DirPms "c:\\PMS3D\\"))
(setq DllPms (strcat DirPms "dll\\") DllDebPms (strcat DirPms "dll_deb\\"))
(setq DllLra (strcat DirLra "dll\\") DllDebLra (strcat DirLra "dll_deb\\"))

(setq X64 nil)
(defun Maj64Bits( / tmp$)
  (if (vl-string-search "x64" (getvar "PLATFORM"))
    (setq X64 T)
  )
)
(Maj64Bits)
(defun C:pms()
(C:upms)
(setq prog (strcat DllPms _Pms3D))
(if (arxload prog)
	(print (strcat "\n PMS Release:" prog "Loaded \n"))
	(print (strcat "\n PMS Release:" prog "*** Probleme *** \n"))
)
(prin1)
)					
(defun C:pmsd()
(C:upms)
 (setq prog (strcat DllDebPms _Pms3D))
(if (arxload prog)
	(print (strcat "\n PMS DEBUG:" prog "Loaded \n"))
	(print (strcat "\n PMS DEBUG:" prog "*** Probleme *** \n"))
)
(prin1)
)					
(defun C:upms()
  (if (member _Pms3D (arx))
  (progn
  	(arxunload _Pms3D)
  	(print "\n UNLOAD PMS: Press a Key :") 
  	(grread)
  )
  )
(prin1)
)					
;---------------------------------------------------------------------------------
(defun C:dwin()
(C:udwin)
(print "\n DWIN Release\n ")
 (setq prog (strcat DllLra _DwinArx))
(arxload prog)
)					
(defun C:dwind()
(C:udwin)
(print "\n DWIN DEBUG\n ")
 (setq prog (strcat DllDebLra _DwinArx))
(arxload prog)
)					
(defun C:udwin()
  (if (member _DwinArx (arx))
		(progn
			(arxunload _DwinArx)
			(print (strcat "\nunload " _DwinArx))
		)
  )
)					
;**************************************************
(setq acad_version (atof (getvar "acadver")))
(if X64
	(progn
		(setq _jclarx  "jcl2013x64.arx" _DwinArx "dwin2013x64.arx" _jclLisp "jcl_lisp.vlx" _Pms3D "pms3d2013x64.arx")
		(if (< acad_version 19.0) ;V2010
			(setq _jclarx  "jcl2010x64.arx" _DwinArx "dwin2010x64.arx" _jclLisp "jcl_lisp.vlx" _Pms3D "pms3d2010x64.arx"))
		(if (< acad_version 18.0) ;V2007
			(setq _jclarx  "jcl2007x64.arx" _DwinArx "dwin2007x64.arx" _Pms3D "pms3d2007x64.arx"))
	)
	(progn
		;Version 2013=19.0
		(setq _jclarx  "jcl2013.arx" _DwinArx "dwin2013.arx" _jclLisp "jcl_lisp.vlx" _Pms3D "pms3d2013.arx")
		(if (< acad_version 19.0) ;V2010
			(setq _jclarx  "jcl2010.arx" _DwinArx "dwin2010.arx" _jclLisp "jcl_lisp.vlx" _Pms3D "pms3d2010.arx"))
		(if (< acad_version 18.0) ;V2007
			(setq _jclarx  "jcl2007.arx" _DwinArx "dwin2007.arx" _Pms3D "pms3d2007.arx"))
		(if (< acad_version 17.0) ;V2007
			(setq _jclarx  "jcl2004.arx" _DwinArx "dwin2004.arx"))
	)
)
(defun s::startup ()
  (if (not AcadAxisLoaded)
    (AcadLspStartup)
  )
)
(defun AcadLspStartup ()
  (setq AcadAxisLoaded 1)
  (setq acad_version (atof (getvar "acadver")))
  (setq nomposte (getenv "nom_poste"))
  (if (not nomposte)
    (setq nomposte "")
  )
  (if (> (strlen nomposte) 1)
    (prompt (strcat "\n***Nom du poste = " nomposte))
  )
  (if (not (member _jclarx (arx)))
    (arxload _jclarx)
  )
  (c:xll)
; (startup)
  (if (AND (not (member _DwinArx (arx))))
    (arxload _DwinArx)
  )
  (prin1)
  (setq *error* *errordef*)
)

(defun *errordef* (n)
  (prompt "erreure ")
  (s_keybevent 27)
  (exit)
)

(defun lxload (prog)
  (if (member prog (arx))
    (arxunload prog)
  )
  (setq prog (strcat DllLra prog))
  (if (eq "failed" (arxload prog "failed"))
    (ai_alert (strcat "Impossible de charger " prog))
    (progn (prompt (strcat "// Chargement de : " prog "... "))
	   (princ "charg.")
    )
  )
  (prin1)
)

(defun lxloadd (prog)
  (if (member prog (arx))
    (arxunload prog)
  )
  (setq prog (strcat DllDebLra prog))
  (if (eq "failed" (arxload prog "failed"))
    (ai_alert (strcat "Impossible de charger " prog))
    (progn (prompt (strcat "// Chargement de : " prog "... "))
	   (princ "charg.")
    )
  )
  (prin1)
)

(defun c:xl ()
  (lxload _jclarx)
  (prin1)
)

(defun c:xld ()
  (lxloadd _jclarx)
  (prin1)
)

(defun c:xll ()
  (load _jclLisp)
  (print (strcat "\n//**Load Lisp : " _jclLisp))
  (startup)
  (setq *error* *errordef*)
  (prin1)
)

;;;--- Commande c:XNL de Dechargement JCL.ARX ---
(defun lxnload (prog)
  (if (member prog (arx))
    (progn (prompt (strcat "\n//** Dchargement de : " prog "... "))
	   (arxunload prog)
    )
  )
  (princ "dcharg.")
  (prin1)
)

(defun c:xnl ()
  (lxnload _jclarx)
  (prin1)
)

(defun mdlgnT (cpt / lib num num0 nom)
 (vide_command)
 (princ "\n\n")
 (setq nom modlgn)
 ;; sto mode actuel
					;--- Init/Reinit Variables ---
 (if (or (not cpt) (/= (type cpt) 'INT) (not (member cpt '(-1 1 2 4 8 16))))
  (setq cpt 2))
 ;; init mode courant ;;
 (setq modlgn cpt)
 (setq	lib (cond ((= (logand modlgn 16) 16) "MAILLAGE dans Contour")
		 ((= (logand modlgn 9) 9) "CONTOUR_3DPOLY")
		 ((= (logand modlgn 8) 8) "CONTOUR_2DPOLY")
		 ((= (logand modlgn 4) 4) "3DFACE")
		 ((= (logand modlgn 3) 3) "POLYLIGNE_3D")
		 (t "SITIGPOLYPOLYLIGNE_2D.")))
 (princ (strcat (if (equal cpt 1)
		  "Mode de Construction Contours et Polylignes = "
		  (strcat (if (or (equal cpt 16) (and (equal cpt 8) liproj))
			   "\n== "
			   "")
			  "Mode d'utilisation de la table des Tlignes = "))
		 lib
		 "."))			;--- Init des menus en mode selection tlignes ---
 (inipag "L")
 (setq	modchg 2
	modnul -1)
 ;--- Message d'alerte sur paramtres de maillage ---
 (if (and (equal cpt 16) (= (logand modlgn 16) 16))
  (progn (s_crprintf)
	  (princ "!! Pour modifier les paramtres de Maillage ==> Commande VMMOD !!")))
 (prin1)
)

;****** SPECIFIQUE ZWCAD **********************************
;****** En plus de  ACAD.LSP qui est copier AVANT *********** 
; ***** SPECIFIQUE ZWCAD **********************************
(setq ZWCAD t)
(setq acad_version (atof (getvar "acadver")))
(print (strcat " ZWCAD.LSP ; ACADVER=: "  (getvar "acadver")))

;Version 12=18.0
(setq _jclarx  "jcl2014.zrx" _DwinArx "dwin2014.zrx" _jclLisp "jcl_BRX.LSP" _Pms3D "pms3d2014.zrx")

;************* Doit tre  la Fin (Quand tout est load) ************
(if (not AcadAxisLoaded)
  (AcadLspStartup)
)

;**********  POUR TESTS ***********************
(defun c:lwc()
(load "D:/sitig_32/dll/ZWCAD.LSP")
(print "d:/sitig_32/dll/ZWCAD.lsp Charge")
)
(defun c:lll()
(load "N:\\DEVSCP\\lisp\\GSST.LSP")
(load "N:\\DEVSCP\\lisp\\GTYW.LSP")
(load "N:\\DEVSCP\\lisp\\GTYP.LSP")
)
